Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.jstacs.data
Enum AlphabetContainer.AlphabetContainerType

    java.lang.Object
      java.lang.Enum<AlphabetContainer.AlphabetContainerType>
          de.jstacs.data.AlphabetContainer.AlphabetContainerType

All Implemented Interfaces:
  Serializable, Comparable<AlphabetContainer.AlphabetContainerType>

Enclosing class:
  AlphabetContainer

    public static enum AlphabetContainer.AlphabetContainerType

extends Enum<AlphabetContainer.AlphabetContainerType>

Possible types of `AlphabetContainer`s are discrete alphabets, continuous alphabets, or alphabets mixed of discrete and continuous symbols at different positions.

Author:
  Jan Grau

Enum Constant Summary
`BOTH` The alphabet may be either continuous or discrete
`CONTINUOUS` The alphabet is continuous
`DISCRETE` The alphabet is discrete

Method Summary
`static AlphabetContainer.AlphabetContainerType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AlphabetContainer.AlphabetContainerType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DISCRETE

    public static final AlphabetContainer.AlphabetContainerType DISCRETE

  The alphabet is discrete

### CONTINUOUS

    public static final AlphabetContainer.AlphabetContainerType CONTINUOUS

  The alphabet is continuous

### BOTH

    public static final AlphabetContainer.AlphabetContainerType BOTH

  The alphabet may be either continuous or discrete

Method Detail

### values

    public static final AlphabetContainer.AlphabetContainerType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(AlphabetContainer.AlphabetContainerType c : AlphabetContainer.AlphabetContainerType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static AlphabetContainer.AlphabetContainerType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD